/2025-01/partners/menus/{menu_id}/items/external/{external_id}Ask AIput https://api-g.weedmaps.com/wm/2025-01/partners/menus/{menu_id}/items/external/{external_id}Create or update an item for a given menu and external IDPath Paramsexternal_idstringrequiredmenu_idint32requiredBody ParamsnamestringName for this menu itemdescriptionstringDescription for this menu itemimage_urlstringImage URL for this menu item; will be downloaded asynchronously once per unique URLimage_updated_atint32Integer timestamp of last image update; used to force re-download of a previously cached imagecart_quantity_multiplierfloatThe quantity that should be sent via Orders API for every one of these items in the cart; defaults to 1 on an item without variantsinventory_quantityint32The amount for this menu item available for purchase; a value of 0 will not unpublish the itemitems_per_packint32Items per pack for this menu itempublishedbooleanWhether or not this item is visible on weedmaps.com; items with inventory_quantity of zero will continue to show up to consumers until published is set to falsetruefalseonline_orderablebooleanWhether or not this menu item can be purchased onlinetruefalselicense_typestringenumDefaults to recreationalThe license requirements to purchase this menu itemmedicalrecreationalAllowed:medicalrecreationalgeneticsstringenumThe genetics classification for this menu itemindicasativahybridAllowed:indicasativahybridbrand_namestringThe custom brand name for this menu item, which will be used to autolink to a matching brand on WM (if applicable); cannot be combined with brand_idbrand_idint32The brand associated to this menu item; cannot be combined with brand_nameexternal_product_idstringSimilar to an external_id, this represents the product ID in your system; Weedmaps can then use this ID to link to your products to ours once that link has been established at least onceproduct_idint32The product ID for this menu item, where this product's associations may be used for display on WM in place of the ones directly on this item, such as categories, strain, or tags; may skip providing a brand_id attribute when this is providedstrain_idint32The strain ID for this menu item; cannot be combined with strain_namestrain_namestringThe strain name for this menu item, which will be used to autolink to a matching strain on WM (if applicable); cannot be combined with strain_idcategory_idsarray of int32sThe category IDs for this menu item; cannot be combined with category_namescategory_idsADD int32category_namesarray of stringsThe category names for this menu item, where WM will attempt to automatically link exact categories; the first name in the list has the highest priority to matchcategory_namesADD stringcannabinoidsarray of objectscannabinoidsADD objectterpenesarray of objectsterpenesADD objecttag_idsarray of int32sThe tag IDs for this menu item; cannot be combined with tag_namestag_idsADD int32tag_namesarray of stringsThe tag names for this menu item, which will be used to autolink to matching tags on WM (if applicable); cannot be combined with tag_idstag_namesADD stringcomplianceobjectCompliance information for this item; nullified when variants are providedcompliance objectpriceobjectThe price for this menu item; cannot be combined with variantsprice objectvariantsarray of objectsvariantsADD objectsaleobjectsale objectHeadersAuthorizationstringA valid bearer token for the client or user accessing the API. Format: "Bearer TOKEN_VALUE"Responses 200Create or update an item for a given menu and external ID 401Missing or invalid authentication 403Failed authorization, or IP is banned 422Invalid parameters or failed validationUpdated about 1 year ago